cURL
curl --request POST \
--url https://api.example.com/v3/alert-rules/{alert_id}/notification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"<string>"
],
"pagerduty_services": [
"<string>"
],
"pagerduty_severity": "<string>",
"webhooks": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.example.com/v3/alert-rules/{alert_id}/notification"
payload = {
"emails": ["<string>"],
"pagerduty_services": ["<string>"],
"pagerduty_severity": "<string>",
"webhooks": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['<string>'],
pagerduty_services: ['<string>'],
pagerduty_severity: '<string>',
webhooks: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.example.com/v3/alert-rules/{alert_id}/notification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"emails": [
"<string>"
],
"pagerduty_services": [
"<string>"
],
"pagerduty_severity": "<string>",
"webhooks": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Alert Rules
createNotificationForAlertRule
Create Notification for an Alert Rule
POST
/
v3
/
alert-rules
/
{alert_id}
/
notification
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
alert id path parameter
Body
application/json
⌘I